% The average kinetic parameter values as shown in Table 2 and Table 3 of
% the manuscript were used to simulate the reaction flux within the
% monolignol biosynthetic pathway
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Enzyme Concentrations%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%unit (micro mole)
Ptr4CL3     =	1.195;
Ptr4CL5     =	0.1422;
PtrC3H3     =	0.1235;
PtrC4H12    =	0.1093;
PtrCAD1     =	0.4361;
PtrCAD2     =	0.0089;
PtrCAld5H1	=   0.1175;
PtrCAld5H2	=	0.1259;
PtrCCoAOMT1 =   0.5839;
PtrCCoAOMT2 =	0.4085;
PtrCCoAOMT3 =	0.0829;
PtrCCR2     =	0.1598;
PtrCOMT2	=	8.219;
PtrHCT1     =	0.17;
PtrHCT6     =	0.0469;
PtrPAL1     =	0.0409;
PtrPAL2     =	0.2215;
PtrPAL3     =	0.0301;
PtrPAL45    =   0.2232;
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Kinetic Parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%PAL1%%
kcat11      =   88.05;      %kcat_PAL1_Phe
km11        =   32.65;      %km_PAL1_Phe
kic11       =   13.44;      %kic_PAL1_Phe_CiA
kic111      =   3.33;       %kic_PAL1_Phe_CA
kiu1        =   13.44;      %kiu_PAL1_Phe_CA
%%PAL2%%
kcat12      =   63.93;      %kcat_PAL2_Phe
km12        =   21.37;      %km_PAL2_Phe
kic12       =   8.72;       %kic_PAL2_Phe_CiA
kic121      =   5.17;       %kic_PAL1_Phe_CA
kiu12       =   833.31;     %kiu_PAL1_Phe_CiA
kiu121      =   15.81;      %kiu_PAL1_Phe_CA
%%PAL3%%
kcat13      =   93.49;      %kcat_PAL3_Phe
km13        =   25.77;      %km_PAL3_Phe
kic13       =   3.45;       %kic_PAL3_Phe_CiA
kic131      =   5.17;       %kic_PAL1_Phe_CA
kiu13       =   49.42;      %kiu_PAL1_Phe_CiA
kiu131      =   15.81;      %kiu_PAL1_Phe_CiA
%%PAL45%%
kcat14      =   73.73;      %kcat_PAL45_Phe
km14        =   22.52;      %km_PAL45_Phe
kic14       =   9.02;       %kic_PAL45_Phe_CiA
kic141      =   16.19;      %kic_PAL45_Phe_CA
kiu14       =   15.67;      %kiu_PAL45_Phe_CA
%%
%V2 = CiA -> pA
%%C4H12%%
kcat2       =   21.41;      %kcat_C4H12_CiA
km2         =   40.7;       %km_C4H12_CiA
%%
%V3 = pA -> CA
%%C3H3%%
kcat3       =   67.92;      %kcat_C3H3_pA
km3         =   227.41;     %km_C3H3_pA
%%
%V4 = CA -> FA
%%COMT2%%
kcat4       =   2.995;      %kcat_COMT2_CA
km4         =   162.6;      %km_COMT2_CA
kiu41       =   7.57;       %kiu_COMT2_CA_CAFAld
kiu42       =   12.1;       %kiu_COMT2_CA_CAFAlc
kiu43       =   245.04;     %kiu_COMT2_CA_5HFA
kiu44       =   2.7;        %kiu_COMT2_CA_5HCAld
kiu45       =   23.23;      %kiu_COMT2_CA_5HCAlc
kic41       =   2.08;       %kic_COMT2_CA_CAFAld
kic42       =   1.63;       %kic_COMT2_CA_CAFAlc
kic43       =   38.62;      %kic_COMT2_CA_5HFA
kic44       =   0.2;        %kic_COMT2_CA_5HCAld
kic45       =   3.8;        %kic_COMT2_CA_5HCAlc
%%
%V5 = FA -> 5HFA
%%Cald5h%%
kcat51      =   0.00077;    %kcat_CAld5H1_FA
kcat52      =   0.001;      %kcat_CAld5H2_FA
km51        =   19.30;      %km_CAld5H1_FA
km52        =   5.2;        %km__CAld5H2_FA
kiu51       =   1.5;        %kiu_CAld5H1_FA_CAld
kic51       =   0.4;        %kic_CAld5H1_FA_CAld
kiu52       =   1;          %kiu_CAld5H2_FA_CAld
kic52       =   0.37;       %kic_CAld5H2_FA_CAld
%%
%V6 = 5HFA -> SA
%%COMT2%%
kcat6       =   5.549;      %kcat_COMT2_5HFA
km6         =   9.928;      %km_COMT2_5HFA
%%
%%4CL%%
%V7 = pA -> pACoA
km71        =   10.51;      %km_4CL3_pA
km72        =   148.06;     %km_4CL5_pA
kcat71      =   44.48;      %kcat_4CL3_pA
kcat72      =   106.83;     %kcat_4Cl5_pA
k73c1       =   9.22;       %kic_4CL3_pA_CA
k73c2       =   55.05;      %kic_4CL3_pA_FA
k73c3       =   39.31;      %kic_4CL3_pA_5HFA
k73c4       =   78.11;      %kic_4CL3_pA_SA
k75c1       =   7.06;       %kic_4CL5_pA_CA
k75c2       =   335.54;     %kic_4CL5_pA_FA
k75c3       =   48.8;       %kic_4CL5_pA_5HFA
k75c4       =   631.72;     %kic_4CL5_pA_SA
k75u1       =   49.75;      %kiu_4CL5_pA_CA
k75u2       =   178.21;     %kiu_4CL5_pA_FA
k75u3       =   37.48;      %kiu_4CL5_pA_5HFA
k75u4       =   238.41;     %kiu_4CL5_pA_SA
k7is        =   55.97;      %kis_4CL5_pA_pA
%%
%%4CL%%
%V8 = CA--->CACoA
km81        =   10.56;      %km_4CL3_CA
km82        =   43.51;      %km_4CL5_CA
kcat81      =   17.07;      %kcat_4CL3_CA
kcat82      =   43.69;      %kcat_4CL5_CA
k83c1       =   43.73;      %kic_4CL3_CA_pA
k83c2       =   59.36;      %kic_4CL3_CA_FA
k83c3       =   198.18;     %kic_4CL3_CA_5HFA
k85c1       =   122.7;      %kic_4CL5_CA_pA
k85c2       =   518.93;     %kic_4CL5_CA_FA
k85c3       =   45.36;      %kic_4CL5_CA_5HFA
k85c4       =   2841.64;    %kic_4CL5_CA_SA
k85u1       =   78.07;      %kiu_4CL5_CA_pA
k85u2       =   372.06;     %kiu_4CL5_CA_FA
k85u3       =   306.81;     %kiu_4CL5_CA_5HFA
k85u4       =   157.21;     %kiu_4CL5_CA_SA
kis85       =   55.97;      %kis_4CL5_CA_CA
%%
%%4CL%%
%V9 = FA ---> FACoA
km91        =   70.17;      %km_4CL3_FA
km92        =   133.51;     %km_4CL5_FA
kcat91      =   50.33;      %kcat_4CL3_FA
kcat92      =   68.41;      %kcat_4CL5_FA
k93c1       =   13.12;      %kic_4CL3_FA_pA
k93c2       =   3.15;       %kic_4CL3_FA_CA
k93c3       =   7.63;       %kic_4CL3_FA_5HFA
k93c4       =   163.72;     %kic_4CL3_FA_SA
k95c1       =   27.92;      %kic_4CL5_FA_pA
k95c2       =   18.47;      %kic_4CL5_FA_CA
k95c3       =   185.78;     %kic_4CL5_FA_5HFA
k95c4       =   384.45;     %kic_4CL5_FA_SA
k95u1       =   14.98;      %kiu_4CL5_FA_CA
k95u2       =   18.71;      %kiu_4CL5_FA_5HFA
k95u3       =   450.83;     %kiu_4CL5_FA_SA
%%
%%4CL%%
%V10 = 5HFA --->5HFACoA
km101       =   10.97;      %km_4CL3_5HFA
km102       =   193.4;      %km_4CL5_5HFA
kcat101     =   3.08;       %kcat_4CL3_5HFA
kcat102     =   37.34;      %kcat_4CL5_5HFA
%%
%%4CL%%
%V11 = SA ---> SCoA
kcat111     =   20.79;      %kcat_4CL5_SA
km111       =   508.20;     %km_4CL5_SA
%%
%V12 = pCoCoA --> pCoSA
%%HCT%%
kcat121     =   138.35;     %kcat_HCT1_pCoCOA
km121       =   38.95;      %km_HCT1_pCoCOA
kcat122     =   487.86;     %kcat_HCT6_pCoCOA
km122       =   24.91;      %km_HCT6_pCoCOA
kcat121R    =   5.23;       %kcat_HCT1_pCoSA
km121R      =   131.13;     %km_HCT1_pCoSA
kcat122R    =   29.51;      %kcat_HCT6_pCoSA
km122R      =   91.38;      %km_HCT6_pCoSA
%%
%V13 = pCoSA --> CaSA
%%C3H3%%
kcat131     =   57.793;     %kcat_C3H3_pCoSA
km131       =   4.96;       %km_C3H3_pCoSA
%%
%V14 = CaSA -->CaCoA
%%HCT%%
kcat141     =   4.29;       %kcat_HCT1_CaSA
km141       =   572.07;     %km_HCT1_CaSA
kcat142     =   19.83;      %kcat_HCT6_CaSA
km142       =   415.86;     %km_HCT6_CaSA
kcat141R    =   5.04;       %kcat_HCT1_CaCoA
km141R      =   23.06;      %km_HCT1_CaCoA
kcat142R    =   58.61;      %kcat_HCT6_CaCoA
km142R      =   103.81;     %km_HCT6_CaCoA
%%
%V15 = CACoA --> FACoA
%CCoAOMT
km151       =   29.77;      %km_CCoAOMT1_CACoA
km152       =   19.101;     %km_CCoAOMT2_CACoA
km153       =   23.069;     %km_CCoAOMT3_CACoA
kcat151     =   75.81;      %kcat_CCoAOMT1_CACoA
kcat152     =   131.273;    %kcat_CCoAOMT2_CACoA
kcat153     =   44.953;     %kcat_CCoAOMT3_CACoA
%%
%V17 = pACoA --> pAld
%%CCR%%
kcat181     =   38.68;      %kcat_CCR2_pACoA
km181       =   259.81;     %km_CCR2_pACoA
%%
%V18 = CACoA --> CAFAld
%%CCR%%
km191       =   581.07;     %km_CCR2_CACoA
kcat191     =   78.18;      %kcat_CCR2_CACoA
%%
%V19 = FACoA --> CAld
%%CCR%%
km201       =   112.36;     %km_CCR2_FACoA
kcat201=44.89;              %kcat_CCR2_CAld
%%
%V22 = CAFAld --> CAld
%%COMT2%%
kcat241     =   4.518;      %kcat_COMT2_CAFAld
km241       =   0.141;      %km_COMT2_CAFAld
kis241      =   14.8;       %kis_COMT2_CAFAld_CAFAld
kiu241      =   1.451;      %kiu_COMT2_CAFAld_5HCAFAld
kic241      =   174.68;     %kiu_COMT2_CAFAld_CA
kic242      =   19.79;      %kiu_COMT2_CAFAld_5HFA
kic243      =   0.5539;     %kic_COMT2_CAFAld_5HCAFAld
kic244      =   0.7956;     %kic_COMT2_CAFAld_5HCAFAlc
%%
%V23 = CAld --> 5HCAld
%%Cald5h%%
kcat251     =   1.229;      %kcat_CAld5H1_CAld
kcat252     =   1.008;      %kcat_CAld5H2_CAld
km251       =   0.054;      %km_CAld5H1_CAld
km252       =   0.045;      %km_CAld5H2_CAld
%%
%V24 = 5HCAld -- > SAld
%%COMT2%%
kcat261     =   2.595;      %kcat_COMT2_5HCAld
km261       =   0.232;      %km_COMT2_5HCAld
kis261      =   1.807;      %kis_COMT2_5HCAld_5HCAld
kiu261      =   14.37;      %kiu_COMT2_5HCAld_CAFAlc
kic261      =   0.2868;     %kic_COMT2_5HCAld_CAFAld
kic262      =   2.501;      %kic_COMT2_5HCAld_CAFAlc
kic263      =   1.548;      %kic_COMT2_5HCAld_5HCAlc

%%
%V25 = pAld --> pAlc
%%CAD%%
kcat271     =   45.89;      %kcat_CAD1_pAld
km271       =   2.97;       %km_CAD1_pAld

%%
%V27 = CAld --->CAlc
%%CAD%%
kcat291     =   30.5;       %kcat_CAD1_CAld
km291       =   0.68;       %km_CAD1_CAld
kic291      =   0.32;       %kic_CAD1_CAld_SAld
kiu291      =   3.02;       %kiu_CAD1_CAld_SAld
kcat292     =   110;        %kcat_CAD2_CAld
km292       =   70.0;       %km_CAD2_CAld
%%
%V29 = SAld--> SAlc
%%CAD%%
kcat311     =   26.9;       %kcat_CAD1_SAld
km311       =   2.4;        %km_CAD1_SAld
kcat312     =   119;        %kcat_CAD2_SAld
km312       =   35.4;       %km_CAD2_SAld
kic311      =   0.42;       %kic_CAD1_CAld
kiu311      =   1.92;       %kiu_CAD1_CAld
%%
%V30 = CAFAlc --> CAlc
%%COMT%%
kcat331     =   6.173;      %kcat_COMT2_CAFAlc
km331       =   0.748;      %km_COMT2_CAFAlc
kis331      =   26.63;      %kis_COMT2_CAFAlc_CAFAlc
kiu331      =   0.7343;     %kiu_COMT2_CAFAlc_CAld
kiu332      =   0.5415;     %kiu_COMT2_CAFAlc_5HCAld
kiu333      =   3.14;       %kiu_COMT2_CAFAlc_5HCAlc
kic331      =   5.65;       %kic_COMT2_CAFAlc_CAFAld
kic332      =   0.1293;     %kic_COMT2_CAFAlc_5HCAld
%%
%V31 = CAlc --> 5HCAlc
%%CAld5H%%
kcat341     =   2.121;      %kcat_CAld5H1_CAlc
kcat342     =   1.716;      %kcat_CAld5H2_CAlc
km341       =   0.069;      %km_CAld5H1_CAlc
km342       =   0.053;      %km_CAld5H2_CAlc
kic341      =   0.84;       %kic_CAld5H1_CAlc_CAld
kic342      =   18.8;       %kic_CAld5H2_CAlc_CAld
kiu341      =   1.7;        %kiu_CAld5H_CAlc_CAld
%%
%V32 = 5HCAlc ---> SAlc
%%COMT2%%
kcat351     = 15.384;       %kcat_COMT2_5HCAlc
km351       = 2.461;        %km_COMT2_5HCAlc
kis351      = 2.28;         %kis_COMT2_5HCAlc_5HCAlc
V0 = 0.904;
%%
%%Initial Conditions used for solving ode%%
S10 = 1e-2;
S20 = 1e-2;
S30 = 1e-2;
S40 = 1e-2;
S50 = 1e-2;
S60 = 1e-2;
S70 = 1e-2;
S80 = 1e-2;
S90 = 1e-2;
S100 = 1e-2;
S110 = 1e-2;
S120 = 1e-2;
S130 = 1e-2;
S140 = 1e-2;
S150 = 1e-2;
S160 = 1e-2;
S170 = 1e-2;
S180 = 1e-2;
S190 = 1e-2;
S200 = 1e-2;
S210 = 1e-2;
S220 = 1e-2;
S230 = 1e-2;
S240 = 1e-2;

y0=[S10 S20 S30 S40 S50 S60 S70 S80 S90 S100 S110 S120 S130 S140 S150 S160 S170 S180 S190 S200 S210 S220 S230 S240]; % Column vector of initial conditions
%%
tend = 9e2; %end time for the simulation
tspan=0:0.5:tend; %time span for the simulation
M = length(tspan);




    
    